﻿/* crud buttons based on bootstrap
==================================================*/
.crudButton-success {
  border-color: transparent;
  background-image: -webkit-radial-gradient(circle,#4caf50 80%,#439a46 81%);
  background-image: radial-gradient(circle,#4caf50 80%,#439a46 81%);
  background-repeat: no-repeat;
  background-size: 200%;
  background-position: 50%;
  -moz-transition:none!important;
  -o-transition:none!important;
  -webkit-transition: none!important;
  transition:none!important;
  /*background: #4caf50;*/
  color:#fff;
  border: 0;
  cursor: pointer;
}
.crudButton-success-sm
{
  border-bottom: 2px solid #79F27E;
  -webkit-box-shadow: inset 0 -3px #79F27E;
  box-shadow: inset 0 -2px #79F27E;
}
.crudButton-success-xs
{
  border-bottom: 1px solid #79F27E;
  -webkit-box-shadow: inset 0 -2px #79F27E;
  box-shadow: inset 0 -2px #79F27E;
}

.crudButton-success:inactive
 {
  top: 2px;
  color:#000;
  background: #32C838;
  outline: none!important;
  -webkit-box-shadow: none!important;
  box-shadow: none!important;
}
.crudButton-success:active
 {
  top: 2px;
  color:#000;
  background: #32C838;
  outline: none!important;
  -webkit-box-shadow: none!important;
  box-shadow: none!important;
}
.crudButton-success:hover
{
    color: #000 !important;
    background: #32C838;
}
.crudButton-success:focus {
    outline: none!important;
    color:#fff;
    /*color: #000;
    background-color: #32C838;
    -webkit-box-shadow: none!important;
    box-shadow: none!important;*/
}
.crudButton-danger {
  border-color: transparent;
  background-image: -webkit-radial-gradient(circle,#e51c23 80%,#cb171e 81%);
  background-image: radial-gradient(circle,#e51c23 80%,#cb171e 81%);
  background-repeat: no-repeat;
  background-size: 200%;
  background-position: 50%;
  -moz-transition:none!important;
  -o-transition:none!important;
  -webkit-transition: none!important;
  transition:none!important;
  /*background: #4caf50;*/
  color:#fff;
  border: 0;
  cursor: pointer;
}
.crudButton-danger-sm
{
  border-bottom: 2px solid #F2797D;
  -webkit-box-shadow: inset 0 -3px #F2797D;
  box-shadow: inset 0 -2px #F2797D;
}
.crudButton-danger-xs
{
  border-bottom: 1px solid #F2797D;
  -webkit-box-shadow: inset 0 -2px #F2797D;
  box-shadow: inset 0 -2px #F2797D;
}
.crudButton-danger:active
 {
  top: 2px;
  color:#000;
  background: #ff272e;
  outline: none!important;
  -webkit-box-shadow: none!important;
  box-shadow: none!important;
}
.crudButton-danger:hover
{
    color: #000;
    background: #ff272e;
}
.crudButton-danger:focus {
    outline: none!important;
    color:#fff;
    /*color: #000;
    background-color: #ff272e;
    -webkit-box-shadow: none!important;
    box-shadow: none!important;*/
}

.crudButton-primary {
  border-color: transparent;
  background-image: -webkit-radial-gradient(circle,#2196f3 80%,#0d87e9 81%);
  background-image: radial-gradient(circle,#2196f3 80%,#0d87e9 81%);
  background-repeat: no-repeat;
  background-size: 200%;
  background-position: 50%;
  -moz-transition:none!important;
  -o-transition:none!important;
  -webkit-transition: none!important;
  transition:none!important;
  /*background: #4caf50;*/
  color:#fff;
  border: 0;
  cursor: pointer;
}
.crudButton-primary-sm
{
  border-bottom: 2px solid #79BCF2;
  -webkit-box-shadow: inset 0 -3px #79BCF2;
  box-shadow: inset 0 -2px #79BCF2;
}
.crudButton-primary-xs
{
  border-bottom: 1px solid #79BCF2;
  -webkit-box-shadow: inset 0 -2px #79BCF2;
  box-shadow: inset 0 -2px #79BCF2;
}

.crudButton-primary:active
 {
  top: 2px;
  color:#000;
  background: #48a8f4;
  outline: none!important;
  -webkit-box-shadow: none!important;
  box-shadow: none!important;
}
.crudButton-primary:hover
{
    color: #000;
    background: #48a8f4;
}
.crudButton-primary:focus {
    outline: none!important;
    color:#fff;
    /*color: #000;
    background-color: #48a8f4;
    -webkit-box-shadow: none!important;
    box-shadow: none!important;*/
}

.crudButton-info {
  border-color: transparent;
  background-image: -webkit-radial-gradient(circle,#9c27b0 80%,#862197 81%);
  background-image: radial-gradient(circle,#9c27b0 80%,#862197 81%);
  background-repeat: no-repeat;
  background-size: 200%;
  background-position: 50%;
  -moz-transition:none!important;
  -o-transition:none!important;
  -webkit-transition: none!important;
  transition:none!important;
  /*background: #4caf50;*/
  color:#fff;
  border: 0;
  cursor: pointer;
}
.crudButton-info-sm
{
  border-bottom: 2px solid #E079F2;
  -webkit-box-shadow: inset 0 -3px #E079F2;
  box-shadow: inset 0 -2px #E079F2;
}
.crudButton-info-xs
{
  border-bottom: 1px solid #E079F2;
  -webkit-box-shadow: inset 0 -2px #E079F2;
  box-shadow: inset 0 -2px #E079F2;
}
.crudButton-info:active
 {
  top: 2px;
  color:#000;
  background: #D900FF;
  outline: none!important;
  -webkit-box-shadow: none!important;
  box-shadow: none!important;
}
.crudButton-info:hover
{
    color: #000;
    background: #D900FF;
}
.crudButton-info:focus {
    outline: none!important;
    color:#fff;
    /*color: #000;
    background-color: #D900FF;
    -webkit-box-shadow: none!important;
    box-shadow: none!important;*/
}

.crudButton-warning {
  border-color: transparent;
  background-image: -webkit-radial-gradient(circle,#ff9800 80%,#e08600 81%);
  background-image: radial-gradient(circle,#ff9800 80%,#e08600 81%);
  background-repeat: no-repeat;
  background-size: 200%;
  background-position: 50%;
  -moz-transition:none!important;
  -o-transition:none!important;
  -webkit-transition: none!important;
  transition:none!important;
  /*background: #4caf50;*/
  color:#fff;
  border: 0;
  cursor: pointer;
}
.crudButton-warning-sm
{
  border-bottom: 2px solid #DDCCAA;
  -webkit-box-shadow: inset 0 -3px #DDCCAA;
  box-shadow: inset 0 -2px #DDCCAA;
}
.crudButton-warning-xs
{
  border-bottom: 1px solid #DDCCAA;
  -webkit-box-shadow: inset 0 -2px #DDCCAA;
  box-shadow: inset 0 -2px #DDCCAA;
}
.crudButton-warning:active
 {
  top: 2px;
  color:#000;
  background: #FFAC33;
  outline: none!important;
  -webkit-box-shadow: none!important;
  box-shadow: none!important;
}
.crudButton-warning:hover
{
    color: #000;
    background: #FFAC33;
}
.crudButton-warning:focus {
    outline: none!important;
    color:#fff;
    /*color: #000;
    background-color: #FFAC33;
    -webkit-box-shadow: none!important;
    box-shadow: none!important;*/
}







   /* 
       http://www.perbang.dk/color+scheme/
       http://serennu.com/colour/colourcalculator.php
       http://bootsnipp.com/snippets/featured/fat-and-flat-blue-button
       Blue Flat Button
==================================================
.crudButton {
 *position: relative;
  vertical-align: center;
  margin: 30px;
  width: 100%;
  //height: 100x;
  padding: 48px 48px;
  font-size: 22px;
  color: white;
  text-align: center;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
  background: #62b1d0;
  border: 0;
  border-bottom: 3px solid #9FE8EF;
  cursor: pointer;
  -webkit-box-shadow: inset 0 -3px #9FE8EF;
  box-shadow: inset 0 -3px #9FE8EF;
}
.crudButton:active {
  top: 2px;
  outline: none;
  -webkit-box-shadow: none;
  box-shadow: none;
}
.crudButton:hover {
  background: #45E1E8;
}
       */